# -*- encoding: utf-8 -*-
# stub: msgpack 1.0.0 ruby lib
# stub: ext/msgpack/extconf.rb

Gem::Specification.new do |s|
  s.name = "msgpack"
  s.version = "1.0.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib"]
  s.authors = ["Sadayuki Furuhashi", "Theo Hultberg", "Satoshi Tagomori"]
  s.date = "2016-07-29"
  s.description = "MessagePack is a binary-based efficient object serialization library. It enables to exchange structured objects between many languages like JSON. But unlike JSON, it is very fast and small."
  s.email = ["frsyuki@gmail.com", "theo@iconara.net", "tagomoris@gmail.com"]
  s.extensions = ["ext/msgpack/extconf.rb"]
  s.files = ["ChangeLog", "Gemfile", "LICENSE", "README.rdoc", "Rakefile", "appveyor.yml", "bench/pack.rb", "bench/pack_log.rb", "bench/pack_log_long.rb", "bench/pack_symbols.rb", "bench/run.sh", "bench/run_long.sh", "bench/run_symbols.sh", "bench/unpack.rb", "bench/unpack_log.rb", "bench/unpack_log_long.rb", "doclib/msgpack.rb", "doclib/msgpack/buffer.rb", "doclib/msgpack/core_ext.rb", "doclib/msgpack/error.rb", "doclib/msgpack/extension_value.rb", "doclib/msgpack/factory.rb", "doclib/msgpack/packer.rb", "doclib/msgpack/unpacker.rb", "ext/java/org/msgpack/jruby/Buffer.java", "ext/java/org/msgpack/jruby/Decoder.java", "ext/java/org/msgpack/jruby/Encoder.java", "ext/java/org/msgpack/jruby/ExtensionRegistry.java", "ext/java/org/msgpack/jruby/ExtensionValue.java", "ext/java/org/msgpack/jruby/Factory.java", "ext/java/org/msgpack/jruby/MessagePackLibrary.java", "ext/java/org/msgpack/jruby/Packer.java", "ext/java/org/msgpack/jruby/Types.java", "ext/java/org/msgpack/jruby/Unpacker.java", "ext/msgpack/buffer.c", "ext/msgpack/buffer.h", "ext/msgpack/buffer_class.c", "ext/msgpack/buffer_class.h", "ext/msgpack/compat.h", "ext/msgpack/core_ext.c", "ext/msgpack/core_ext.h", "ext/msgpack/extconf.rb", "ext/msgpack/extension_value_class.c", "ext/msgpack/extension_value_class.h", "ext/msgpack/factory_class.c", "ext/msgpack/factory_class.h", "ext/msgpack/packer.c", "ext/msgpack/packer.h", "ext/msgpack/packer_class.c", "ext/msgpack/packer_class.h", "ext/msgpack/packer_ext_registry.c", "ext/msgpack/packer_ext_registry.h", "ext/msgpack/rbinit.c", "ext/msgpack/rmem.c", "ext/msgpack/rmem.h", "ext/msgpack/sysdep.h", "ext/msgpack/sysdep_endian.h", "ext/msgpack/sysdep_types.h", "ext/msgpack/unpacker.c", "ext/msgpack/unpacker.h", "ext/msgpack/unpacker_class.c", "ext/msgpack/unpacker_class.h", "ext/msgpack/unpacker_ext_registry.c", "ext/msgpack/unpacker_ext_registry.h", "lib/msgpack.rb", "lib/msgpack/factory.rb", "lib/msgpack/packer.rb", "lib/msgpack/symbol.rb", "lib/msgpack/unpacker.rb", "lib/msgpack/version.rb", "msgpack.gemspec", "msgpack.org.md", "spec/cases.json", "spec/cases.msg", "spec/cases_compact.msg", "spec/cases_spec.rb", "spec/cruby/buffer_io_spec.rb", "spec/cruby/buffer_packer.rb", "spec/cruby/buffer_spec.rb", "spec/cruby/buffer_unpacker.rb", "spec/cruby/unpacker_spec.rb", "spec/ext_value_spec.rb", "spec/exttypes.rb", "spec/factory_spec.rb", "spec/format_spec.rb", "spec/jruby/benchmarks/shootout_bm.rb", "spec/jruby/benchmarks/symbolize_keys_bm.rb", "spec/jruby/unpacker_spec.rb", "spec/msgpack_spec.rb", "spec/pack_spec.rb", "spec/packer_spec.rb", "spec/random_compat.rb", "spec/spec_helper.rb", "spec/unpack_spec.rb", "spec/unpacker_spec.rb"]
  s.homepage = "http://msgpack.org/"
  s.licenses = ["Apache 2.0"]
  s.rubyforge_project = "msgpack"
  s.rubygems_version = "2.5.1"
  s.summary = "MessagePack, a binary-based efficient data interchange format."

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_development_dependency(%q<bundler>, ["~> 1.0"])
      s.add_development_dependency(%q<rake>, ["~> 0.9.2"])
      s.add_development_dependency(%q<rake-compiler>, ["~> 0.9.4"])
      s.add_development_dependency(%q<rake-compiler-dock>, ["~> 0.5.0"])
      s.add_development_dependency(%q<rspec>, ["~> 3.3"])
      s.add_development_dependency(%q<yard>, ["~> 0.8.2"])
      s.add_development_dependency(%q<json>, [">= 0"])
    else
      s.add_dependency(%q<bundler>, ["~> 1.0"])
      s.add_dependency(%q<rake>, ["~> 0.9.2"])
      s.add_dependency(%q<rake-compiler>, ["~> 0.9.4"])
      s.add_dependency(%q<rake-compiler-dock>, ["~> 0.5.0"])
      s.add_dependency(%q<rspec>, ["~> 3.3"])
      s.add_dependency(%q<yard>, ["~> 0.8.2"])
      s.add_dependency(%q<json>, [">= 0"])
    end
  else
    s.add_dependency(%q<bundler>, ["~> 1.0"])
    s.add_dependency(%q<rake>, ["~> 0.9.2"])
    s.add_dependency(%q<rake-compiler>, ["~> 0.9.4"])
    s.add_dependency(%q<rake-compiler-dock>, ["~> 0.5.0"])
    s.add_dependency(%q<rspec>, ["~> 3.3"])
    s.add_dependency(%q<yard>, ["~> 0.8.2"])
    s.add_dependency(%q<json>, [">= 0"])
  end
end
